Bug 8481 - (int-154671) notes imported without DTSTART fields are not displayed
(int-154671)
: notes imported without DTSTART fields are not displayed
Status: RESOLVED FIXED
Product: Calendar
General
: 5.0/(3.2010.02-8)
: All Maemo
: Unspecified normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: calendar-general-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-25 03:04 UTC by Eric Cooper
Modified: 2010-04-24 18:28 UTC (History)
2 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Eric Cooper (reporter) 2010-01-25 03:04:44 UTC
SOFTWARE VERSION:

2.2009.51-1.002

EXACT STEPS LEADING TO PROBLEM: 

Import the following note using the calendar-backend API:

BEGIN:VJOURNAL
SUMMARY:A note
END:VJOURNAL

EXPECTED OUTCOME:

The Notes view should display "A note".

ACTUAL OUTCOME:

The note is not displayed.

REPRODUCIBILITY:

always

OTHER COMMENTS:

The note is imported with a default DTSTART value of 19691231T235959Z.
If that DTSTART value is given explicitly the note is also not displayed.
If the DTSTART value is 19700101, or any other value, it is displayed.
Comment 1 Andre Klapper maemo.org 2010-01-25 18:48:54 UTC
Thanks for reporting this.
Can you attach a small testcase, if possible?
Comment 2 Venomrush 2010-03-29 02:28:28 UTC
Any updates from internal comments if this will be fixed for PR1.2? Bug has
been idle for 2 months..
Comment 3 Andre Klapper maemo.org 2010-04-24 18:28:13 UTC
This has been fixed for the next public update.

Note is displayed with date 19700101.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/